# Flight Passes

Operations specific to boarding passes.


## List flight passes {#getpassesbyflight}

List passes for Flight.


[Jump to examples ↓](#getpassesbyflight-examples)

### `GET /flights/project/{projectId}/{flightId}/passes`

**Security:**

- [httpBasic]({{< ref "/developer/rest-api/wallet/introduction/" >}}#security-httpBasic)
- [oauth2Token]({{< ref "/developer/rest-api/wallet/introduction/" >}}#security-oauth2Token): wpas

**Path parameters:**

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `projectId` | `integer` | Required | The project that the flight belongs to. |
| `flightId` | `integer` | Required | The flight you want to get passes for. |

**Query parameters:**

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `status` | `string` |  | Find only passes matching the installation status.  * `installed` — passes currently installed. * `uninstalled` — passes that have been uninstalled. * `been_installed` — passes that have been either installed or uninstalled. * `not_been_installed` — passes that have never been installed.  Possible values: `installed`, `uninstalled`, `been_installed`, `not_been_installed` |
| `pageSize` | `integer` |  | The number of passes per page. Defaults to 10. Default: `10` |
| `page` | `integer` |  | The page of results you want to retrieve, starting at 1. Default: `1` |
| `order` | `string` |  | The order you want passes returned in, defaulting to `id`. Possible values: `id`, `createdAt`, `updatedAt` Default: `id` |
| `direction` | `string` |  | Determines whether to return values in ascending or descending order. Defaults to `DESC`. Possible values: `ASC`, `DESC` Default: `DESC` |

**Request headers:**

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `Api-Revision` | `string` | Required | The particular API revision you want to use. In general, this is `1.2`. Possible values: `1.2` |

**Responses**

**`200`** A successful request returns a paged list of passes for a particular flight.

Response body:

**Content-Type:** `application/json`

- **`count`** `integer`

  The total number of passes associated with a flight

- **`pagination`** `object` <[Pagination object]({{< ref "/developer/rest-api/wallet/schemas/others/" >}}#paginationobject)>

  Contains information about pagination, according to your query parameters.

- **`passes`** `array[object]`

  The metadata for passes associated with the flight. Each object in the array represents a pass.

**`404`** The flight ID does not exist.


**Examples**

*Example request*

```http
GET /v1/flights/project/12345/1234/passes HTTP/1.1
Authorization: Basic <authorization string>

```

*Response*

```http
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
          "passes": [{
              "id": 600,
              "templateId": 100005,
              "url": "https://d720-104-177-34-165.ngrok.io/v1/pass/600/download",
              "serialNumber": "aff7ffbf-04d7-4180-9da2-c790e08da023",
              "createdAt": "2023-04-19T06:17:01.000Z",
              "updatedAt": "2023-04-19T06:17:01.000Z",
              "status": "installed",
              "installedAt": "2023-04-19T06:19:02.000Z",
              "platform": "android"
            },
            {
              "id": 601,
              "templateId": 100008,
              "url": "https://d720-104-177-34-165.ngrok.io/v1/pass/601/download",
              "serialNumber": "34b6f9de-3745-4107-99ae-3f952208e212",
              "createdAt": "2023-05-05T17:55:23.000Z",
              "updatedAt": "2023-05-06T17:55:23.000Z",
              "status": "installed",
              "installedAt": "2023-04-05T19:55:23.000Z",
              "platform": "android"
            }
          ],
          "pagination": {
            "order": "id",
            "direction": "desc",
            "page": 1,
            "start": 0,
            "pageSize": 2
          }
}

```

---

